body {
    font-family: Roboto, "Helvetica Neue", Helvetica, Arial, sans-serif !important;
}

.body-wrapper {
    padding-top: 2em;
    padding-bottom: 2em;
}

.govuk-button {
    font-family: Roboto, "Helvetica Neue", Helvetica, Arial, sans-serif !important;
    font-size: 14px;
    min-height: 56px;
    min-width: 56px;
    padding: 16px;
    background: #0065bd;
    border: 0;
    border-radius: 0;
    color: #ffffff;
    cursor: pointer;
    display: inline-block;
    font-weight: 700;
    line-height: 24px;
    outline: 2px solid transparent;
    outline-offset: -2px;
    position: relative;
    text-align: center;
    text-decoration: none;
    transition: background-color 0.2s;
}

@media (min-width: 768px) {
    .govuk-button {
        font-size: 16px;
    }
}

.govuk-button.govuk-button--secondary.govuk-button--no-visited-state {
    color: #0065bd !important;
}

.govuk-button>.ds_icon {
    height: 40px;
    padding: 8px;
    width: 40px;
}

.govuk-button:hover {
    background-color: #00437e;
    color: #ffffff;
    transition-duration: 0.2s;
}

.govuk-button:focus {
    background-color: #fdd522;
    box-shadow: 0 3px #333333;
    color: #333333;
    outline: 0;
    transition-duration: 0s;
}

.govuk-button .ds_icon {
    pointer-events: none;
}

.govuk-button[disabled] {
    background-color: #727272;
    box-shadow: none;
    color: #ffffff;
    font-weight: 400;
    outline: none;
    pointer-events: none;
}

.govuk-error-summary {
    border: 4px solid #d32205;
    padding: 20px 28px;
    margin-top: 24px;
    margin-bottom: 24px;
}

@media (min-width: 768px) {
    .govuk-error-summary {
        margin-top: 32px;
    }
}

.govuk-error-summary>*:last-child {
    margin-bottom: 0;
}

.govuk-error-summary__title {
    margin-top: 0;
}

.govuk-error-summary__list {
    color: #d32205;
    font-weight: bold;
    list-style-type: none;
    margin-left: 0;
}

.govuk-error-summary__list a {
    color: #d32205;
}

.govuk-error-summary__list a:focus {
    color: #333333;
}

.govuk-error-summary__list li {
    margin-left: 0;
}

@media (min-width: 768px) {
    legend {
        font-size: 22px;
    }
}

@media (min-width: 40.0625em) {
    .govuk-fieldset__legend {
        font-size: 22px;
        font-weight: bold;
        margin-bottom: 8px;
    }
}

.govuk-fieldset__legend {
    font-size: 22px;
    font-weight: bold;
    margin-bottom: 8px;
}

legend {
    font-size: 22px;
    font-weight: bold;
    margin-bottom: 8px;
}

.govuk-radios {
    margin-top: 16px;
}

.ds_back-to-top {
    top: 85vh
}

.govuk-link {
    color: #0065bd !important;
}

.govuk-button-group-right {
    display: flex !important;        
    justify-content: flex-end !important;
    width: 100%;     
    gap: 10px;                 
}


.govuk-button--start:hover {
    outline: none;
}

.govuk-button--secondary {
    background-color: transparent;
    color: #0065bd;
    outline: 2px solid currentColor;
}

.govuk-button--secondary:hover {
    background-color: #d9effc;
    color: #00437e;
    outline: 2px solid currentColor;
    outline-offset: -2px;
}

.govuk-button--outline-blue {
    outline-color: #0065bd  !important;
    color: #0065bd  !important
}

.govuk-button--warning {
    background-color: transparent;
    color: #0065bd !important;
    outline: 2px solid currentColor;
    outline-offset: -2px;
}

.govuk-button--destructive {
    background-color: #c82222 !important;
    color: #f7f7f7 !important;
}

.govuk-button--warning:hover {
    background-color: #d9effc;
    color: #00437e;
    outline: 2px solid currentColor;
    outline-offset: -2px;
}

.govuk-label {
    font-weight: bold;
}

.govuk-label--l {
    font-size: 22px;
    font-weight: bold;
    margin-bottom: 8px;
}

.govuk-radios__label {
    font-weight: normal !important;
}

.govuk-file-upload {
    max-width: calc(100vw - 50px);
}

@media (min-width: 768px) {
    .govuk-file-upload {
        max-width: 100%;
    }
}

.govuk-file-upload::-webkit-file-upload-button {
    -webkit-appearance: button;
    color: inherit;
    font: inherit
}

.govuk-file-upload:focus {
    outline: 3px solid #fd0;
    -webkit-box-shadow: inset 0 0 0 4px #0b0c0c;
    box-shadow: inset 0 0 0 4px #0b0c0c
}

.govuk-file-upload:focus-within {
    outline: 3px solid #fd0;
    -webkit-box-shadow: inset 0 0 0 4px #0b0c0c;
    box-shadow: inset 0 0 0 4px #0b0c0c
}

.ds_page-header {
    color: #0b0c0c;
}

@media (min-width: 768px) {
    .ds_select-wrapper {
        max-width: 50%;
    }
    .ds_select-wrapper_full-width {
        max-width: 100%;
    }
}

/* Details */
.govuk-details--ignore .govuk-details {
    margin: 0;
}
.govuk-details--ignore .govuk-details__summary {
    display: none;
}
.govuk-details--ignore .govuk-details__text {
    border: none;
    padding: 0;
}

/* Pagination */
.pagination-container {
    margin-top: 20px;
    text-align: center;
}

.pagination {
    display: inline-block;
    padding-left: 0;
    margin: 20px 0;
    list-style: none;
}

.pagination li {
    display: inline;
    margin-right: 5px;
}

.pagination li.active span {
    background-color: #005ea5;
    border: 2px solid #005ea5;
    color: #fff;
    padding: 8px 12px;
}

.pagination li a {
    color: #005ea5;
    border: 2px solid #005ea5;
    padding: 8px 12px;
    margin: 0 3px;
    text-decoration: none;
    border-radius: 0px;
}

.pagination .PagedList-skipToNext,
.pagination .PagedList-skipToPrevious {
    display: inline;
}

.pagination .PagedList-skipToNext a,
.pagination .PagedList-skipToPrevious a {
    color: #005ea5;
    border: 2px solid #005ea5;
    padding: 8px 12px;
    margin: 0 3px;
    text-decoration: none;
    border-radius: 0;
}

/* Helper classes
-------------------------------------------------- */
.text-truncate {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.text-right {
    text-align: right !important;
}

.text-muted {
    color: #727272;
}

.table-fixed {
    table-layout: fixed;
}

.govuk-\!-margin-right-auto {
    margin-right: auto !important;
}

.govuk-\!-margin-left-auto {
    margin-left: auto !important;
}
.cursor-pointer {
    cursor: pointer;
}

.govuk-\!-width-full > .govuk-select {
    width: 100%;
}

.govuk-\!-display-flex {
    display: flex !important;
}
.govuk-\!-align-items-baseline {
    align-items: baseline !important;
}

/* Cookie banner
-------------------------------------------------- */

#cookie-confirm .ds_notification__text a {
    color: white;
}

@media (max-width: 768px) {
    .ds_notification__actions {
        display: contents;
        text-align: left;
    }

    .ds_notification__text {
        margin-bottom: 16px;
    }
}

/* Guidance
-------------------------------------------------- */

.guidance{
    word-wrap: break-word;
    overflow-wrap: break-word;
}

/* Navigation
-------------------------------------------------- */
.ds_site-navigation {
    display: block;
}

.logout {
    min-height: inherit;
    margin-top: inherit;
    margin-bottom: inherit;
    outline: inherit;
    font-weight: inherit;
    line-height: inherit;
    background: none;
    border: none;
}

.logout:hover:not(:focus) {
    background-color: #d9effc !important;
}

.logout:focus {
    background-color: #fdd522;
    box-shadow: inset 0 -3px #333333, inset 0 -3px #333333;
    color: #333333;
}

.govuk-accordion--hidden-controls .govuk-accordion__controls {
    display: none;
}

/* Table sorting
-------------------------------------------------- */
th a,
td a {
    display: block;
    width: 100%;
}

th a.sort-by {
    padding-right: 18px;
    position: relative;
    color: inherit;
    text-decoration: none;
}

a.sort-by:before,
a.sort-by:after {
    border: 6px solid transparent;
    content: "";
    display: none;
    height: 0;
    right: 5px;
    top: 50%;
    position: absolute;
    width: 0;
}

a.sort-by:before {
    border-bottom-color: #666;
    margin-top: -15px;
}

a.sort-by:after {
    border-top-color: #666;
    margin-top: 0px;
}

a.sort-by--inactive:before,
a.sort-by--inactive:after {
    display: block;
}

a.sort-by--ascending:before {
    display: block;
}

a.sort-by--descending:after {
    display: block;
}

/* Notifications
-------------------------------------------------- */
.govuk-banner {
    border: 5px solid #1d70b8;
    color: #1d70b8;
    font-size: 0;
    margin-bottom: 30px;
    padding: 10px;
}

.govuk-banner--success {
    border-color: #428542;
    color: #428542;
}

.govuk-banner>.govuk-banner__icon {
    fill: currentColor;
    float: left;
    margin-right: 10px;
}

.govuk-banner>.govuk-banner__body {
    font-family: "GDS Transport", arial, sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    font-weight: 400;
    font-size: 16px;
    font-size: 1rem;
    line-height: 1.25;
    color: #0b0c0c;
    display: block;
    overflow: hidden;
    box-sizing: border-box;
}

.govuk-panel--confirmation {
    background: #428542;
}

@media print {
    .govuk-banner {
        font-family: sans-serif;
        font-size: 14pt;
        line-height: 1.15;
    }
}

@media (min-width: 40.0625em) {
    .govuk-banner {
        font-size: 19px;
        font-size: 1.1875rem;
        line-height: 1.31579;
        margin-bottom: 50px;
    }
}

@media print {
    .govuk-banner>.govuk-banner__body {
        color: #000;
    }
}

.govuk-banner>.govuk-banner__body> :last-child {
    margin-bottom: 0;
}

.govuk-banner__link {
    font-family: GDS Transport, arial, sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-decoration: underline;
}

@media print {
    .govuk-banner__link {
        font-family: sans-serif;
    }
}

.govuk-banner__link:focus {
    outline: 3px solid rgba(0, 0, 0, 0);
    background-color: #fd0;
    box-shadow: 0 -2px #fd0, 0 4px #0b0c0c;
    text-decoration: none;
}

.govuk-banner__link:link,
.govuk-banner__link:visited {
    color: #1d70b8;
}

.govuk-banner__link:hover {
    color: #003078;
}

.govuk-banner__link:active,
.govuk-banner__link:focus {
    color: #0b0c0c;
}

.govuk-banner--success .govuk-banner__link:link,
.govuk-banner--success .govuk-banner__link:visited {
    color: #00703c;
}

.govuk-banner--success .govuk-banner__link:hover {
    color: #004e2a;
}

.govuk-banner--success .govuk-banner__link:active {
    color: #00703c;
}

.govuk-banner--success .govuk-banner__link:focus {
    color: #0b0c0c;
}

@media (max-width: 40.0525em) {
    .hide-last-border>.govuk-summary-list__row:last-of-type {
        border-bottom: none;
    }
}

.hide-last-border>.govuk-summary-list__row:last-of-type>dt {
    border: none;
}

.hide-last-border>.govuk-summary-list__row:last-of-type>dd {
    border: none;
}

.govuk-accordion__section-content h1,
.govuk-accordion__section-content h2,
.govuk-accordion__section-content h3 {
    padding-top: 20px !important;
}

#filters {
    margin-bottom: 50px;
}

.ds_site-header__navigation>.ds_wrapper {
    border-bottom-width: 2px !important;
    border-bottom-style: solid;
    border-color: #ebebeb;
}

.govuk-checkboxes__item {
    gap: 0 12px
}

.govuk-checkboxes__label {
    font-weight: 100;
    padding: 7px 15px 10px 1px !important;
    margin-bottom: 6px;
}

@media (max-width: 40.0625em) {
    .govuk-checkboxes__label {
        padding: 13px 15px 13px 1px !important;
    }
}

.action__link {
    display: inherit;
}

@media (min-width: 768px) {
    .ds_layout__content {
        width: 120% !important;
    }
     .ds_layout__header {
        width: 120% !important;
    }
}

@media (min-width: 768px) {
    .ds_layout {
        padding: 0;
        margin: 0 -15px;
    }
}

#ds_back_link_wrapper {
    visibility: hidden;
}

label.govuk-label.govuk-date-input__label {
    font-weight: 100;
}

.ds_label {
    color: black;
    font-size: 19px;
    font-size: 1.1875rem;
    line-height: 1.31579;
}

/* Tables
-------------------------------------------------- */

@media (max-width: 767px) {
    .js-enabled .ds_table[data-smallscreen="boxes"] tr>td {
        display: list-item !important;
        word-break: break-word;
    }

    .js-enabled .ds_table[data-smallscreen="boxes"] tr>td>a {
        list-style-type: none;
    }

    .js-enabled .ds_table[data-smallscreen="boxes"] tr>td::before {
        width: calc(50% - 32px);
    }
}


/* Quill Editor
-------------------------------------------------- */
.quill--extended {
    min-height: 350px;
}

.quill--extended .quill-editor {
    min-height: 70vh;
    height: 70vh !important;
}

.ql-container.ql-snow {
    border: 2px solid #000 !important;
}

.ql-toolbar.ql-snow {
    border: 2px solid #000 !important;
    border-bottom: none !important;
}

.ql-disabled {
    min-height: 0 !important;
    height: auto !important;
}

.response-preview p {
    margin: 0;
}

.response-preview .ql-container,
.response-preview .ql-editor {
    font-size: 19px;
}

.response-review {
    border-bottom: 1px solid #b1b4b6;
}

.ql-editor u {
    text-decoration: underline !important;
}

/*----------- Case response ---------------*/

.two-side-panel {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    align-content: center;
    align-items: center;
}

.button-as-link {
    background: none !important;
    border: none !important;
    padding: 0 !important;
    margin: 0 !important;
    font-family: inherit !important;
    font-size: inherit !important;
    line-height: inherit !important;
    color: #0065bd !important;
    cursor: pointer !important;
    text-decoration: underline !important;
    min-height: auto !important;
    min-width: auto !important;
    outline: none !important;
    box-shadow: none !important;
    transition: none !important;
}

.button-as-link:hover {
    color: #00437e !important;
    background: none !important;
    text-decoration: underline !important;
}

.button-as-link:focus {
    outline: 3px solid #fdd522 !important;
    background-color: #fdd522 !important;
    color: #333333 !important;
    box-shadow: none !important;
    text-decoration: none !important;
}

/*----------- Document search ---------------*/
.facet-empty-item {
    height: 116px;
}

/*----------- Portal Documents ---------------*/
.loader {
    border: 16px solid #f3f3f3;
    border-top: 16px solid #3498db;
    border-radius: 50%;
    width: 100px;
    height: 100px;
    animation: spin 2s linear infinite;
    margin-top: 1rem;
}

@keyframes spin {
0% { transform: rotate(0deg); }
100% { transform: rotate(360deg); }
}
.background-box {
    background-color: #c2c1c1;
    min-height: 800px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 2rem;
    margin-bottom: 2rem;
    text-align: center;
}

#select-all-container {
    display: none;
}


.fullscreen-mode .body-wrapper {
    padding: 0;
}
.fullscreen-mode .ds_page__middle .ds_wrapper {
    width: 100%;
    padding: 0;
}.case-status-badge {
    display: inline-block;
    padding: 8px 16px;
    margin-bottom: 20px;
    font-weight: 500;
    border-radius: 2px;
    border: 1px solid;
}

/*----------- Workflow ---------------*/
.govuk-label--m {
  color: black;
  font-size: 19px;
  font-size: 1.1875rem;
  line-height: 1.31579;
  font-weight: bold;
  margin-bottom: 8px;
}
